## python-ltfatpy 1.0.12

=== ltfat_C_kernel/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8.11)

include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/thirdparty)
#SET(CMAKE_C_FLAGS "-O3 -fPIC -std=c99 -shared")
SET(CMAKE_C_FLAGS "-O0 -g -fPIC -std=c99")
SET(CMAKE_EXE_LINKER_FLAGS "-lc -lm")

set(SRC dgt.c dgt_fac.c dgt_fb.c dgt_multi.c dgt_ola.c dgt_shear.c dgt_walnut.c
        dgtreal_fac.c dwilt.c idwilt.c wmdct.c iwmdct.c filterbank.c ifilterbank.c
        heapint.c idgt.c idgt_fac.c idgt_fb.c iwfac.c pfilt.c reassign.c spread.c
        wfac.c windows.c winmanip.c ltfat_complexindependent.c dgt_shearola.c
        dct_ci.c dst_ci.c fftreal.c)

set(SRC_BLASLAPACK ltfat_blaslapack.c gabdual_fac.c gabtight_fac.c
                   ltfat_complexindependent_bl.c)

set(SRC_NOTYPECHANGE c-safe-memalloc.c integer_manip.c)

add_library(ltfatf STATIC ${SRC} ${SRC_BLASLAPACK})
target_link_libraries(ltfatf ${FFTW_LIBRARIES} ${FFTWF_LIBRARIES} 
${LAPACK_LIBRARIES} ${CMAKE_EXE_LINKER_FLAGS})
target_compile_definitions(ltfatf PUBLIC LTFAT_SINGLE)
install(TARGETS ltfatf ARCHIVE DESTINATION ${CKERNEL_DIR}/lib)

add_library(ltfat STATIC ${SRC} ${SRC_BLASLAPACK} ${SRC_NOTYPECHANGE})
target_link_libraries(ltfat ${FFTW_LIBRARIES} ${FFTWF_LIBRARIES} 
${LAPACK_LIBRARIES} ${CMAKE_EXE_LINKER_FLAGS})
target_compile_definitions(ltfat PUBLIC LTFAT_DOUBLE)
install(TARGETS ltfat ARCHIVE DESTINATION ${CKERNEL_DIR}/lib)

#add_subdirectory(tests)

## python-ltfatpy 1.0.9

=== debian/changelog ===
python-ltfatpy (1.0.9-1build2) artful; urgency=medium

  * No-change rebuild to drop _PyFPE support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Sep 2017 08:23:12 +0000

python-ltfatpy (1.0.9-1build1) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 18:40:31 +0000

python-ltfatpy (1.0.9-1) unstable; urgency=medium

  [ Ghislain Antony Vaillant ]
  * Source tarballs from PyPI
  * New upstream version 1.0.9. (Closes: #861091, #861094)
  * Update the patch queue
    - Drop No-coverage.patch, superseded by new patch
    - Drop Fix-Unicode-errors.patch, applied upstream
    - Drop Install-the-tests.patch, applied upstream
    - New patch No-pytest-options.patch
  * Drop explicit dependency on scipy
  * Bump standards version to 4.0.0, no changes required

  [ Gianfranco Costamagna ]
  * Update copyright years

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Fri, 14 Jul 2017 09:19:21 +0100

python-ltfatpy (1.0.8-1) unstable; urgency=low

  * Initial release. (Closes: #860526)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 20 Apr 2017 14:29:32 +0100

=== debian/control ===
Source: python-ltfatpy
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Priority: optional
Build-Depends: cmake,
               cython,
               cython-dbg,
               debhelper (>= 10),
               dh-python,
               dpkg-dev (>= 1.17.14),
               libfftw3-dev,
               liblapack-dev | liblapack.so,
               python3-all-dbg,
               python3-all-dev,
               python3-matplotlib <!nocheck>,
               python3-matplotlib-dbg <!nocheck>,
               python3-numpy <!nocheck>,
               python3-numpy-dbg <!nocheck>,
               python3-pytest <!nocheck>,
               python3-scipy <!nocheck>,
               python3-scipy-dbg <!nocheck>,
               python3-setuptools,
               python3-six (>= 1.10) <!nocheck>,
               python3-tk <!nocheck>,
               python3-tk-dbg <!nocheck>,
               xauth <!nocheck>,
               xvfb <!nocheck>
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/python-ltfatpy.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/python-ltfatpy.git
Homepage: https://gitlab.lif.univ-mrs.fr/dev/ltfatpy/
X-Python3-Version: >= 3.4

Package: python3-ltfatpy
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Large Time-Frequency Toolbox (LTFAT) in Python
 The ltfatpy package is a partial Python port of the Large Time/Frequency
 Analysis Toolbox (LTFAT), a MATLAB®/Octave toolbox for working with
 time-frequency analysis and synthesis.
 .
 It is intended both as an educational and a computational tool.
 .
 The package provides a large number of linear transforms including Gabor
 transforms along with routines for constructing windows (filter prototypes)
 and routines for manipulating coefficients.
 .
 This package provides the modules for Python 3.

Package: python3-ltfatpy-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-ltfatpy (= ${binary:Version}),
         python3-matplotlib-dbg,
         python3-numpy-dbg,
         python3-scipy-dbg
Description: debug extensions for ltfatpy
 The ltfatpy package is a partial Python port of the Large Time/Frequency
 Analysis Toolbox (LTFAT), a MATLAB®/Octave toolbox for working with
 time-frequency analysis and synthesis.
 .
 It is intended both as an educational and a computational tool.
 .
 The package provides a large number of linear transforms including Gabor
 transforms along with routines for constructing windows (filter prototypes)
 and routines for manipulating coefficients.
 .
 This package provides the debug extensions for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export PYBUILD_NAME = ltfatpy

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_PROFILES)))
	xvfb-run -a dh_auto_test
endif

override_dh_strip:
	dh_strip --package=python3-$(PYBUILD_NAME) \
		--dbg-package=python3-$(PYBUILD_NAME)-dbg

## python-ltfatpy 1.0.12

=== debian/changelog ===
python-ltfatpy (1.0.12-1) unstable; urgency=medium

  * New upstream version 1.0.12
  * Update Hompage, Source and Upstream-Contact fields
  * Update the copyright years
  * Add versioned dependencies to Scipy
  * Build with Cython for Python 3
  * Move extend-diff-ignore to d/s/options
  * Use DEB_BUILD_OPTIONS for nocheck guards
  * Point the VCS URIs to salsa.debian.org
  * Fixup whitespacing in rules file
  * Bump the debhelper version to 11
  * Bump the standards version to 4.1.3
  * Drop usage of priority extra

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 15 Feb 2018 12:33:18 +0000

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Section: python
 Priority: optional
 Build-Depends: cmake,
-               cython,
-               cython-dbg,
-               debhelper (>= 10),
+               cython3,
+               cython3-dbg,
+               debhelper (>= 11),
                dh-python,
                dpkg-dev (>= 1.17.14),
                libfftw3-dev,
@@ -18,7 +18,7 @@
                python3-numpy <!nocheck>,
                python3-numpy-dbg <!nocheck>,
                python3-pytest <!nocheck>,
-               python3-scipy <!nocheck>,
+               python3-scipy (>= 0.18) <!nocheck>,
                python3-scipy-dbg <!nocheck>,
                python3-setuptools,
                python3-six (>= 1.10) <!nocheck>,
@@ -26,10 +26,10 @@
                python3-tk-dbg <!nocheck>,
                xauth <!nocheck>,
                xvfb <!nocheck>
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/python-ltfatpy.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/python-ltfatpy.git
-Homepage: https://gitlab.lif.univ-mrs.fr/dev/ltfatpy/
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/science-team/python-ltfatpy
+Vcs-Git: https://salsa.debian.org/science-team/python-ltfatpy.git
+Homepage: https://gitlab.lis-lab.fr/dev/ltfatpy
 X-Python3-Version: >= 3.4
 
 Package: python3-ltfatpy
@@ -53,7 +53,6 @@
 Package: python3-ltfatpy-dbg
 Architecture: any
 Section: debug
-Priority: extra
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export PYBUILD_NAME=ltfatpy

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	xvfb-run -a dh_auto_test
endif

override_dh_strip:
	dh_strip --package=python3-$(PYBUILD_NAME) \
		--dbg-package=python3-$(PYBUILD_NAME)-dbg

=== debian/tests/control ===
Test-Command: set -e
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; xvfb-run -a $py -m pytest -v --pyargs ltfatpy
 ; echo "Testing with $py-dbg:"
 ; xvfb-run -a $py-dbg -m pytest -v --pyargs ltfatpy
 ; done
Depends: python3-all,
         python3-all-dbg,
         python3-ltfatpy,
         python3-ltfatpy-dbg,
         python3-pytest,
         python3-tk,
         python3-tk-dbg,
         xauth,
         xvfb

## python-ltfatpy 1.0.16

=== ltfat_C_kernel/CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,7 @@
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR})
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/thirdparty)
-#SET(CMAKE_C_FLAGS "-O3 -fPIC -std=c99 -shared")
-SET(CMAKE_C_FLAGS "-O0 -g -fPIC -std=c99")
+SET(CMAKE_C_FLAGS "-O3 -fPIC")
 SET(CMAKE_EXE_LINKER_FLAGS "-lc -lm")
 
 set(SRC dgt.c dgt_fac.c dgt_fb.c dgt_multi.c dgt_ola.c dgt_shear.c dgt_walnut.c

=== debian/changelog ===
python-ltfatpy (1.0.16-9) unstable; urgency=medium

  * Force regeneration of source code for cython extensions.
  * debian/patches:
    - new 0003-Fix-floating-point-comparison.patch (Closes: #1026495).
  * debian/rules:
    - use debhelper plugin for numpy3.
  * New d/clean file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 22 Dec 2022 14:11:44 +0000

python-ltfatpy (1.0.16-8) unstable; urgency=medium

  * debian/patches:
    - new 0002-Compatibility-with-Python-3.11.patch (Closes: #1024044).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 15 Nov 2022 21:56:58 +0000

python-ltfatpy (1.0.16-7) unstable; urgency=medium

  * Fix d/copyright formatting.
  * debian/tests:
    - autopkgtest all supported Python versions.
  * Standards version bumped to 4.6.1 (no changes).
  * Update d/copyright file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 15 Oct 2022 14:35:17 +0000

python-ltfatpy (1.0.16-6) unstable; urgency=medium

  * Add dependency on python3-pil.imagetk (Closes: 999516).
  * Debian/patches:
    - new 0001-Compatibility-with-numpy-1.21.patch (Closes: 999535).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 21 Nov 2021 10:12:01 +0000

python-ltfatpy (1.0.16-5) unstable; urgency=medium

  * Stop testing the -dbg package in d/tests/python3
    (leftover from the -dbg package removal).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 30 Sep 2021 06:24:33 +0000

python-ltfatpy (1.0.16-4) unstable; urgency=medium

  * Standards version bumped to 4.6.0 (no chenges).
  * debian/control:
    - drop liblapack.so as (alternative) dependency
    - set "Rules-Requires-Root: no"
    - deop unnecessary versioned dependencies.
  * Drop the -dbg package (Closes: 994360).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 26 Sep 2021 09:13:29 +0000

python-ltfatpy (1.0.16-3) unstable; urgency=medium

  * Bump standards version to 4.4.0 (no change).
  * debian/control:
    - remove unnecessary versioned dependency: dpkg-dev (>= 1.17.14)
  * debian/tests
    - move the testing code from control to a dedicated python3 script
  * Drop debian/compat file, and depend on debelper-compat.
  * Set compat to 12.
  * Upstream metadata file added.
  * Update debian/gbp.conf.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 04 Sep 2019 20:11:35 +0000

python-ltfatpy (1.0.16-2) unstable; urgency=medium

  * Team upload.
  * [ecca9c7] Add Antonio Valentino as an uploader.

 -- Anton Gladky <gladk@debian.org>  Thu, 15 Aug 2019 21:41:06 +0200

python-ltfatpy (1.0.16-1) unstable; urgency=medium

  * Team upload

  [ Andreas Tille ]
  * New upstream version
  * Add missing Depends: python3-tk (Closes: #896353)

  [ Ghislain Antony Vaillant ]
  * New upstream version 1.0.16 (Closes: #918052)
  * Add missing Depends: python3-tk-dbg
  * Drop redundant autodep8 dependencies
  * Drop obsolete X-Python3-Version
  * Avoid patching setup for tests
    - Drop the patch queue
    - Add dependency on python3-pytest-cov
    - Clean coverage run artefacts after testing
  * Add allow-stderr restriction to autopkgtest
  * Bump standards version to 4.3.0
  * Drop myself from uploaders

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sun, 31 Mar 2019 13:50:31 +0200

=== debian/control ===
Source: python-ltfatpy
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Priority: optional
Build-Depends: cmake,
               cython3,
               debhelper-compat (= 12),
               dh-python,
               libfftw3-dev,
               liblapack-dev,
               python3-all-dev,
               python3-matplotlib <!nocheck>,
               python3-numpy <!nocheck>,
               python3-pil.imagetk <!nocheck>,
	       python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-scipy <!nocheck>,
               python3-setuptools,
               python3-six <!nocheck>,
               python3-tk <!nocheck>,
               xauth <!nocheck>,
               xvfb <!nocheck>
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/science-team/python-ltfatpy
Vcs-Git: https://salsa.debian.org/science-team/python-ltfatpy.git
Homepage: https://gitlab.lis-lab.fr/dev/ltfatpy
Rules-Requires-Root: no

Package: python3-ltfatpy
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-pil.imagetk,
         python3-tk
Description: Large Time-Frequency Toolbox (LTFAT) in Python
 The ltfatpy package is a partial Python port of the Large Time/Frequency
 Analysis Toolbox (LTFAT), a MATLAB®/Octave toolbox for working with
 time-frequency analysis and synthesis.
 .
 It is intended both as an educational and a computational tool.
 .
 The package provides a large number of linear transforms including Gabor
 transforms along with routines for constructing windows (filter prototypes)
 and routines for manipulating coefficients.
 .
 This package provides the modules for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export PYBUILD_NAME=ltfatpy
export PYBUILD_BEFORE_CONFIGURE=rm -f {dir}/ltfatpy/comp/*.c
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/.coverage {build_dir}/htmlcov

%:
	dh $@ --with python3,numpy3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	xvfb-run -a dh_auto_test
endif

=== debian/tests/control ===
Tests: python3
Depends: python3-all,
         python3-ltfatpy,
         python3-pytest,
         python3-pytest-cov,
         xauth,
         xvfb
Restrictions: allow-stderr

## python-ltfatpy 1.1.2

=== CMakeLists.txt ===
# Defines the CMake commands/policies
cmake_minimum_required( VERSION 2.8.5 )

# Set the project name
project( LTFATPY )

# If the user specifies -DCMAKE_BUILD_TYPE on the command line, take their
# definition and dump it in the cache along with proper documentation, 
# otherwise set CMAKE_BUILD_TYPE to Debug prior to calling project()
#
IF(DEFINED CMAKE_BUILD_TYPE)
   SET(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "Choose the type of
build, options are: None(CMAKE_CXX_FLAGS or CMAKE_C_FLAGS used) Debug
Release RelWithDebInfo MinSizeRel.")
ELSE()
   SET(CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build,
options are: None(CMAKE_CXX_FLAGS or CMAKE_C_FLAGS used) Debug Release
RelWithDebInfo MinSizeRel.")
ENDIF()

#### Set global variables
set( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_LIST_DIR}/cmake-modules )
set(FFTW_ROOT "/usr/lib" CACHE PATH "FFTW lib folder")
set(LTFATPY_DIR "${CMAKE_SOURCE_DIR}/ltfatpy")
set(CKERNEL_DIR "${LTFATPY_SOURCE_DIR}/ltfat_C_kernel")
set(DOC_DIR "${LTFATPY_SOURCE_DIR}/doc")

#### Find FFTW
find_package(FFTW REQUIRED)
message ("FFTW found")
include_directories(${FFTW_INCLUDE_DIR})

### Find Lapack
find_package(LAPACK REQUIRED)
message ("LAPACK found")
message("BLAS VENDOR : ${BLA_VENDOR}")
message("LAPACK LIBRARIES : ${LAPACK_LIBRARIES}")

### Set PYTHON_SITE_DIR
#find_package ( PythonLibs REQUIRED )
#find_package ( PythonInterp REQUIRED )

#if ( PYTHON_VERSION_STRING AND PYTHONLIBS_VERSION_STRING )
#   if ( NOT PYTHON_VERSION_STRING VERSION_EQUAL PYTHONLIBS_VERSION_STRING )
#     message ( FATAL_ERROR "Version mismatch between python interpreter and libraries")
#   endif ( NOT PYTHON_VERSION_STRING VERSION_EQUAL PYTHONLIBS_VERSION_STRING )
#endif ( PYTHON_VERSION_STRING AND PYTHONLIBS_VERSION_STRING )

### Build c kernel (Using ${PYTHON_SITE_DIR} for install)
add_subdirectory(${CKERNEL_DIR})

#### uninstall target
configure_file(
    "${CMAKE_SOURCE_DIR}/cmake-modules/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall COMMAND ${CMAKE_COMMAND} 
                   -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

=== requirements.txt ===
scipy>=0.18
importlib_resources
numpy>=1.8
matplotlib>=1.4

=== debian/changelog ===
python-ltfatpy (1.1.2-3) unstable; urgency=medium

  * debian/patches:
    - New 0008-Cmake-4-compat.patch (Closes: #1113435).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 01 Sep 2025 17:37:39 +0000

python-ltfatpy (1.1.2-2) unstable; urgency=medium

  * Team upload.
  * Drop python3-six dependency
  * Extend 0007-No-external-importlib_resources.patch
  * Remove dependeny on dh-python that is alreadt implied by dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Tue, 19 Aug 2025 07:19:44 +0200

python-ltfatpy (1.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyright.
  * Standards version bumped to 4.7.2, no changes.
  * debian/patches:
    - Drop 0001-Compatibility-with-numpy-1.21.patch,
      0002-Compatibility-with-Python-3.11.patch and
      0009-Fix-compatibility-with-numpy2.patch.
    - Refresh and rename remaining patches.
    - New 0007-No-external-importlib_resources.patch.
  * Set upstream metadata fields: Documentation.
  * debian/control:
    - Add dependency on pybuild-plugin-pyproject.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 18 Aug 2025 17:40:03 +0000

python-ltfatpy (1.0.16-12) unstable; urgency=medium

  * debian/patches:
    - New 0009-Fix-compatibility-with-numpy2.patch (Closes: #1094702).
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 31 Jan 2025 07:38:09 +0000

python-ltfatpy (1.0.16-11) unstable; urgency=medium

  * Team Upload
  * Fix SyntaxWarning (Closes: #1085933)

  [ Antonio Valentino ]
  * Add lintian-overrides for false positive warning on distutils.
  * Standards version bumped to 4.7.0, no changes.
  * Drop d/source/lintian-overrides, no longer needed.

 -- Alexandre Detiste <tchet@debian.org>  Fri, 06 Dec 2024 11:46:42 +0100

python-ltfatpy (1.0.16-10) unstable; urgency=medium

  * Standards version bumped to 4.6.2, no changes.
  * debian/control:
    - Switch to debhelper-compat 13.
  * Switch to autopkgtest-pkg-pybuild and drop the no longer
    needed d/tests folder.
  * Switch to dh-sequence-*.
  * Update dates in d/copyright.
  * debian/patches:
    - New 0004-Compatibility-with-cython-v3.0.x.patch (Closes: #1056863).
    - New 0005-Verbose-cmake-build.patch.
    - New 0006-Do-not-use-distutils.patch.
    - New 0007-Fortify.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 03 Dec 2023 16:03:25 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,15 @@
 Source: python-ltfatpy
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
+Testsuite: autopkgtest-pkg-pybuild
 Section: python
 Priority: optional
 Build-Depends: cmake,
                cython3,
-               debhelper-compat (= 12),
-               dh-python,
+               debhelper-compat (= 13),
+               dh-sequence-python3,
+               dh-sequence-numpy3,
+               pybuild-plugin-pyproject,
                libfftw3-dev,
                liblapack-dev,
                python3-all-dev,
@@ -17,11 +20,10 @@
                python3-pytest-cov <!nocheck>,
                python3-scipy <!nocheck>,
                python3-setuptools,
-               python3-six <!nocheck>,
                python3-tk <!nocheck>,
                xauth <!nocheck>,
                xvfb <!nocheck>
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/python-ltfatpy
 Vcs-Git: https://salsa.debian.org/science-team/python-ltfatpy.git
 Homepage: https://gitlab.lis-lab.fr/dev/ltfatpy

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

export PYBUILD_NAME=ltfatpy
export PYBUILD_BEFORE_CONFIGURE=$(RM) {dir}/ltfatpy/comp/*.c
export PYBUILD_AFTER_TEST=$(RM) -r {build_dir}/.coverage {build_dir}/htmlcov
export PYBUILD_TEST_ARGS=--pyargs ${PYBUILD_NAME}

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	xvfb-run -a dh_auto_test
endif

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/ltfatpy/ltfatpy@ANY_VERSION@@ARCHIVE_EXT@
